//Copyright (c) 2002 Electronic Arts Inc. All rights reserved.

var oGameFace = window.external.GameInterface;
var oComm = oGameFace.CommInterface;
var oLeagueServer = oGameFace.LeagueServerInterface;
var oExecutorServer = oGameFace.ExecutorServerInterface;
var oAudioInterface = oGameFace.AudioInterface;


// the "BACK" screen is a special screen and the screen ID really doesn't matter
// we should be doing this another away like screen id "0"

var  nhlNavArray =
{
	Standard:
		[
			new LeftNavItem("1", nhlMsg('MAIN_MENU'), true)
		],

	Online:
		[
			new LeftNavItem("1004", nhlMsg('CMN_FRONT_ONLINE'), true)
		],

	Backout:
		[
			new LeftNavItem("1", 'BACK', true)
		],

	// This variation of GameSetup is used in Exhibition.
	GameSetupExhibition:
		[
			new LeftNavItem("1000", nhlMsg('CMN_GAME_SETUP')),
			new LeftNavItem("1120", nhlMsg('RULES')),
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),
				new LeftNavItem("1112", nhlMsg('CMN_TRADE'))
			],
			new LeftNavItem("1101", nhlMsg('CMN_STARTING_LINEUP')),
			new LeftNavItem("1102", nhlMsg('CMN_CONTROLLER_CONFIG')),
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			]
		],

	// This variation of GameSetup is used in schedule leagues -- Franchise, Playoff, and
	// International and lacks the CreatePlayer submenu and the Coach Options Trade item.
	GameSetupSchedule:
		[
			new LeftNavItem("1", 'BACK', true),
			new LeftNavItem("1100", nhlMsg('CMN_GAME_SETUP')),
			new LeftNavItem("1120", nhlMsg('RULES')),
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
			],
			new LeftNavItem("1101", nhlMsg('CMN_STARTING_LINEUP')),
			new LeftNavItem("1102", nhlMsg('CMN_CONTROLLER_CONFIG'))
		],

	// This variation of GameSetup is used in online situations (direct, league and matchup)
	// International and lacks the CreatePlayer submenu and the Coach Options Trade item.
	GameSetupOnline:
		[
			new LeftNavItem("1850", nhlMsg('CMN_GAME_SETUP')),
			new LeftNavItem("1120", nhlMsg('RULES')),
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
			],
			new LeftNavItem("1101", nhlMsg('CMN_STARTING_LINEUP')),
			new LeftNavItem("1102", nhlMsg('CMN_CONTROLLER_CONFIG'))
		],

	// This variation of GameSetup is used in online situations (direct, league and matchup)
	// International and lacks the CreatePlayer submenu and the Coach Options Trade item.
	GameSetupMatchup:
		[
			new LeftNavItem("1897", nhlMsg("TO_EA_SPORTS_ONLINE")),
			new LeftNavItem("1849", nhlMsg('CMN_GAME_SETUP')),
			new LeftNavItem("1120", nhlMsg('RULES')),
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
			],
			new LeftNavItem("1101", nhlMsg('CMN_STARTING_LINEUP')),
			new LeftNavItem("1102", nhlMsg('CMN_CONTROLLER_CONFIG'))
		],

	FranchiseCentral:
		[
			new LeftNavItem("1200", nhlMsg('CMN_SEASON_CENTRAL'), true),
			/*
			[
				new LeftNavItem("", nhlMsg('CMN_GM_OFFICE'), true),
				//new LeftNavItem("1212", nhlMsg('CMN_LEAGUE_NEWS')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				//new LeftNavItem("1906", nhlMsg('CMN_FREEAGENTS'))
			],
			*/
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISH_OFFICE'), true),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1221", nhlMsg('CMN_SIM_TO_DATE')),
				new LeftNavItem("1120", nhlMsg('RULES'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACHS_RM'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),				
				//new LeftNavItem("1904", nhlMsg('CMN_PROG_REPORTS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS')),
				new LeftNavItem("1140", nhlMsg('CMN_AB_PLAYER_STATS')),
				//new LeftNavItem("1909", nhlMsg('CMN_BOX_SCORES')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				new LeftNavItem("1215", nhlMsg('CMN_AWARDS'))
			]//,
			//new LeftNavItem("8886", nhlMsg('CMN_CREATE_PLAYER'))
		],

	DynastyCentral:
		[
			new LeftNavItem("1867", nhlMsg('CMN_DYN_CENTRAL'), true),
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISH_OFFICE'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				//new LeftNavItem("1212", nhlMsg('CMN_LEAGUE_NEWS')),
				new LeftNavItem("8893", nhlMsg('CMN_DRAFT_ORDER')),
				//new LeftNavItem("1880", nhlMsg('TEMP_DRAFT_DAY'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_YOUR_OFFICE'), true),
				new LeftNavItem("1900", nhlMsg('CMN_GM_OFFICE')),
				new LeftNavItem("1901", nhlMsg('CMN_GM_RANKING')),
				new LeftNavItem("1902", nhlMsg('CMN_SKILLS_UPGRADES')),				
				new LeftNavItem("1903", nhlMsg('CMN_FINANCES')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				new LeftNavItem("1907", nhlMsg('CMN_CONTRACTS')),
				new LeftNavItem("1906", nhlMsg('CMN_FREEAGENTS')),
				//new LeftNavItem("1910", nhlMsg('CMN_TROPHY_RM')),
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACHS_RM'), true),
				//new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGIES')),
				new LeftNavItem("1890", nhlMsg('CMN_TEAM_UPGRADES')),
				new LeftNavItem("1908", nhlMsg('CMN_TEAM_REP')),
				new LeftNavItem("8892", nhlMsg('CMN_SCOUTING_REPORTS')),
				new LeftNavItem("1113", nhlMsg('CMN_PROG_REPORTS')),
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS')),
				new LeftNavItem("1140", nhlMsg('CMN_AB_PLAYER_STATS')),
				//new LeftNavItem("1909", nhlMsg('CMN_BOX_SCORES')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				new LeftNavItem("1215", nhlMsg('CMN_AWARDS')),
			]//,
			//new LeftNavItem("8886", nhlMsg('CMN_CREATE_PLAYER')),
		],

	SlaveFranchiseCentral:
		[
			new LeftNavItem("1291", nhlMsg('CMN_FRANCHISE_CENTRAL'), true),
			[
				//new LeftNavItem("", nhlMsg('CMN_LEAGUE_NEWS'), true),
				new LeftNavItem("1212", nhlMsg('CMN_STREAKS')),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				new LeftNavItem("1215", nhlMsg('CMN_AWARDS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISSIONERMODE'), true),
				new LeftNavItem("1225", nhlMsg('CMN_UPDATE'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1113", nhlMsg('CMN_VIEW_ROSTERS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_OPTIONS'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1121", nhlMsg('CMN_DISPLAY_OPTIONS')),
				new LeftNavItem("1122", nhlMsg('CMN_AI_OPTIONS')),
				new LeftNavItem("1123", nhlMsg('CMN_SOUND_OPTIONS')),
				new LeftNavItem("1124", nhlMsg('CMN_GAME_OPTIONS'))				
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATS'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			]
		],

	InternationalCentral:
		[
			new LeftNavItem("1300", nhlMsg('AB_INTERNATIONAL_CENTRAL'), true),
			/*
			[
				new LeftNavItem("", nhlMsg('CMN_GM_OFFICE'), true),
				//new LeftNavItem("1212", nhlMsg('CMN_LEAGUE_NEWS')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				//new LeftNavItem("1906", nhlMsg('CMN_FREEAGENTS'))
			],
			*/
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISH_OFFICE'), true),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1221", nhlMsg('CMN_SIM_TO_DATE')),
				new LeftNavItem("1120", nhlMsg('RULES')),
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACHS_RM'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				//new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),				
				//new LeftNavItem("1904", nhlMsg('CMN_PROG_REPORTS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				//new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS')),
				new LeftNavItem("1140", nhlMsg('CMN_AB_PLAYER_STATS')),
				//new LeftNavItem("1909", nhlMsg('CMN_BOX_SCORES')),
				new LeftNavItem("1216", nhlMsg('TOURNAMENT_TREE')),
			]//,
			//new LeftNavItem("8886", nhlMsg('CMN_CREATE_PLAYER'))
		],

	EliteCentral:
		[
			new LeftNavItem("1", 'BACK', true),
			/*
			[
				new LeftNavItem("", nhlMsg('CMN_GM_OFFICE'), true),
				//new LeftNavItem("1212", nhlMsg('CMN_LEAGUE_NEWS')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				//new LeftNavItem("1906", nhlMsg('CMN_FREEAGENTS'))
			],
			*/
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISH_OFFICE'), true),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1221", nhlMsg('CMN_SIM_TO_DATE')),
				new LeftNavItem("1120", nhlMsg('RULES')),
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACHS_RM'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1905", nhlMsg('CMN_TRADE_PLAYERS')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),				
				//new LeftNavItem("1904", nhlMsg('CMN_PROG_REPORTS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS')),
				new LeftNavItem("1140", nhlMsg('CMN_AB_PLAYER_STATS')),
				//new LeftNavItem("1909", nhlMsg('CMN_BOX_SCORES')),
				new LeftNavItem("1217", nhlMsg('CMN_PLAYOFF_TREE')),
			]//,
			//new LeftNavItem("8886", nhlMsg('CMN_CREATE_PLAYER'))
		],

	CommishIntlCentral:
		[
			new LeftNavItem("1390", nhlMsg('AB_INTERNATIONAL_CENTRAL'), true),
			[
				//new LeftNavItem("", nhlMsg('CMN_LEAGUE_NEWS'), true),
				new LeftNavItem("1212", nhlMsg('CMN_STREAKS')),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR')),
				new LeftNavItem("1216", nhlMsg('CMN_TOURNAMENT_TREE'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISSIONERMODE'), true),
				new LeftNavItem("1220", nhlMsg('CMN_LEAGUE_SETUP')),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1224", nhlMsg('CMN_WAIT_CONNECT'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1113", nhlMsg('CMN_VIEW_ROSTERS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_OPTIONS'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1121", nhlMsg('CMN_DISPLAY_OPTIONS')),
				new LeftNavItem("1122", nhlMsg('CMN_AI_OPTIONS')),
				new LeftNavItem("1123", nhlMsg('CMN_SOUND_OPTIONS')),
				new LeftNavItem("1124", nhlMsg('CMN_GAME_OPTIONS')),				
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATS'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_CREATEPLAYER'), true),
				new LeftNavItem("8886", nhlMsg('CMN_CREATE')),
				new LeftNavItem("8889", nhlMsg('CMN_MANAGE')),
				new LeftNavItem("8888", nhlMsg('CMN_IMPORT'))
			]
		],

	SlaveIntlCentral:
		[
			new LeftNavItem("1391", nhlMsg('AB_INTERNATIONAL_CENTRAL'), true),
			[
				//new LeftNavItem("", nhlMsg('CMN_LEAGUE_NEWS'), true),
				new LeftNavItem("1212", nhlMsg('CMN_STREAKS')),
				new LeftNavItem("1211", nhlMsg('CMN_STANDINGS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR')),
				new LeftNavItem("1216", nhlMsg('CMN_TOURNAMENT_TREE'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISSIONERMODE'), true),
				new LeftNavItem("1225", nhlMsg('CMN_UPDATE'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1113", nhlMsg('CMN_VIEW_ROSTERS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_OPTIONS'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1121", nhlMsg('CMN_DISPLAY_OPTIONS')),
				new LeftNavItem("1122", nhlMsg('CMN_AI_OPTIONS')),
				new LeftNavItem("1123", nhlMsg('CMN_SOUND_OPTIONS')),
				new LeftNavItem("1124", nhlMsg('CMN_GAME_OPTIONS'))				
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATS'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			]
		],

	PlayoffCentral:
		[
			new LeftNavItem("1400", nhlMsg('CMN_PLAYOFF_CENTRAL'), true),
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISH_OFFICE'), true),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1221", nhlMsg('CMN_SIM_TO_DATE')),
				new LeftNavItem("1120", nhlMsg('RULES')),
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACHS_RM'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1114", nhlMsg('CMN_MANAGE_ROSTERS')),				
				//new LeftNavItem("1904", nhlMsg('CMN_PROG_REPORTS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATSCENTRAL'), true),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS')),
				new LeftNavItem("1140", nhlMsg('CMN_AB_PLAYER_STATS')),
				//new LeftNavItem("1909", nhlMsg('CMN_BOX_SCORES')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				//new LeftNavItem("1215", nhlMsg('CMN_AWARDS'))
			]//,
			//new LeftNavItem("8886", nhlMsg('CMN_CREATE_PLAYER'))
		],

	CommishPlayoffCentral:
		[
			new LeftNavItem("1490", nhlMsg('CMN_PLAYOFF_CENTRAL'), true),
			[
				//new LeftNavItem("", nhlMsg('CMN_LEAGUE_NEWS'), true),
				new LeftNavItem("1212", nhlMsg('CMN_STREAKS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				new LeftNavItem("1215", nhlMsg('CMN_AWARDS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISSIONERMODE'), true),
				new LeftNavItem("1220", nhlMsg('CMN_LEAGUE_SETUP')),
				new LeftNavItem("1222", nhlMsg('CMN_USER_CONTROL')),
				new LeftNavItem("1224", nhlMsg('CMN_WAIT_CONNECT'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1113", nhlMsg('CMN_VIEW_ROSTERS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_OPTIONS'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1121", nhlMsg('CMN_DISPLAY_OPTIONS')),
				new LeftNavItem("1122", nhlMsg('CMN_AI_OPTIONS')),
				new LeftNavItem("1123", nhlMsg('CMN_SOUND_OPTIONS')),
				new LeftNavItem("1124", nhlMsg('CMN_GAME_OPTIONS'))				
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATS'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_CREATEPLAYER'), true),
				new LeftNavItem("8886", nhlMsg('CMN_CREATE')),
				new LeftNavItem("8889", nhlMsg('CMN_MANAGE')),
				new LeftNavItem("8888", nhlMsg('CMN_IMPORT'))
			]
		],

	SlavePlayoffCentral:
		[
			new LeftNavItem("1491", nhlMsg('CMN_PLAYOFF_CENTRAL'), true),
			[
				//new LeftNavItem("", nhlMsg('CMN_LEAGUE_NEWS'), true),
				new LeftNavItem("1212", nhlMsg('CMN_STREAKS')),
				//new LeftNavItem("1213", nhlMsg('CMN_CALENDAR')),
				new LeftNavItem("1214", nhlMsg('CMN_PLAYOFF_TREE')),
				new LeftNavItem("1215", nhlMsg('CMN_AWARDS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COMMISSIONERMODE'), true),
				new LeftNavItem("1225", nhlMsg('CMN_UPDATE'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_COACH_OPTION'), true),
				new LeftNavItem("1110", nhlMsg('CMN_STRATEGY')),
				new LeftNavItem("1111", nhlMsg('CMN_EDITLINES')),
				new LeftNavItem("1113", nhlMsg('CMN_VIEW_ROSTERS'))
			],
			[
				new LeftNavItem("", nhlMsg('CMN_OPTIONS'), true),
				new LeftNavItem("1120", nhlMsg('RULES')),
				new LeftNavItem("1121", nhlMsg('CMN_DISPLAY_OPTIONS')),
				new LeftNavItem("1122", nhlMsg('CMN_AI_OPTIONS')),
				new LeftNavItem("1123", nhlMsg('CMN_SOUND_OPTIONS')),
				new LeftNavItem("1124", nhlMsg('CMN_GAME_OPTIONS'))				
			],
			[
				new LeftNavItem("", nhlMsg('CMN_STATS'), true),
				new LeftNavItem("1140", nhlMsg('CMN_PLAYER_STATS')),
				new LeftNavItem("1141", nhlMsg('CMN_TEAMSTATS'))
			]
		],


	JoinCreate:
		[
			new LeftNavItem("1", 'BACK', true) ,
		],

	JoinOnline:
		[
			new LeftNavItem("1", 'BACK', true) ,
			new LeftNavItem("1153", nhlMsg('CMN_CREATE_GAME')),
			new LeftNavItem("1154", nhlMsg('CMN_JOIN_GAME'))
		],

	JoinCommish:
		[
			new LeftNavItem("1", 'BACK', true) ,
			new LeftNavItem("1152", nhlMsg('CMN_JOIN_LEAGUE'))
		]

}

/*NHL Screens*/

System.GUI.Screens["1"]		= new Screen_Hash("1", 	"fe/NHL/html/offline_home.html",	"none", 		"",			"", 		"fe/NHL/images2/backgrounds/" + System.GUI.getTeamSkin() + "/main_menu_background_right.jpg",			false);
System.GUI.Screens["1"].navigationCallback	= function()
{
	System.GUI.clearLeftNav();
	return true;
};

//mprjk: i know these callbacks are the same for now, but they could differ later...
function gameSetupNavCallback()
{
	oGameFace.LeagueServerInterface.LoadLeagueInternal(0,"");
	System.Session.setPostGameLeague( "", 0 );
	System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );
	return true;
}

function leagueSelectNavCallback()
{
	oGameFace.LeagueServerInterface.LoadLeagueInternal(0,"");
	System.Session.setPostGameLeague( "", 0 );
	System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );
	return true;
}

System.GUI.Screens["100"]		= new Screen_Hash("100", 	"fe/nhl/html/game_setup.html", 	"Game_Setup.swf",		"nhlNavArray",	"GameSetupExhibition", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["100"].navigationCallback = gameSetupNavCallback;
System.GUI.Screens["1000"]		= new Screen_Hash("1000", 	"fe/nhl/html/game_setup.html", 	"Game_Setup.swf", 		"nhlNavArray",	"GameSetupExhibition", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1000"].navigationCallback = gameSetupNavCallback;

System.GUI.Screens["101"]		= new Screen_Hash("101", 	"fe/nhl/html/franchise_select.html", 	"Season_Games.swf",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);
System.GUI.Screens["101"].navigationCallback = leagueSelectNavCallback;
System.GUI.Screens["1001"]		= new Screen_Hash("1001", 	"fe/nhl/html/franchise_select.html", 	"Season_Games.swf",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);

System.GUI.Screens["102"]		= new Screen_Hash("102", 	"fe/nhl/html/playoff_select.html", 	"Playoff_Games.swf",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);
System.GUI.Screens["102"].navigationCallback = leagueSelectNavCallback;
System.GUI.Screens["1002"]		= new Screen_Hash("102", 	"fe/nhl/html/playoff_select.html", 	"Playoff_Games.swf",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);

System.GUI.Screens["103"]		= new Screen_Hash("103", 	"fe/nhl/html/intl_select.html", 	"International_TournamentGames.swf",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);
System.GUI.Screens["103"].navigationCallback = leagueSelectNavCallback;
System.GUI.Screens["1003"]		= new Screen_Hash("1003", 	"fe/nhl/html/intl_select.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/load_games.jpg",						false);

System.GUI.Screens["1005"]		= new Screen_Hash("1005", 	"fe/nhl/html/del_select.html", 			"International_TournamentGames.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1009"]		= new Screen_Hash("1009", 	"fe/nhl/html/elitserien_select.html", 	"International_TournamentGames.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1010"]		= new Screen_Hash("1010", 	"fe/nhl/html/smliiga_select.html", 		"International_TournamentGames.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);



System.GUI.Screens["108"]		= new Screen_Hash("108", 	"fe/nhl/html/dynasty.html", 	"Dynasty_Games.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["108"].navigationCallback = leagueSelectNavCallback;
System.GUI.Screens["1008"]		= new Screen_Hash("1008", 	"fe/nhl/html/dynasty.html", 	"Dynasty_Games.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);

//mprjk: FIX - would like to hide this function somehow..
function connectionSetupNavCallback()
{
	if (oComm.IsCommAvailable())
	{
		oGameFace.LeagueServerInterface.LoadLeagueInternal(1,"");
		System.Session.setPostGameLeague( "", 0 );

		System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );

		System.ScratchPad.nhlOnlineConnectionType = "game";

		return true;
	}
 	else
	{
		return false;
	}
}

System.GUI.Screens["104"]		= new Screen_Hash("104", 	"fe/nhl/html/online_connection.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["104"].navigationCallback = connectionSetupNavCallback;

System.GUI.Screens["1004"]		= new Screen_Hash("1004", 	"fe/nhl/html/online_connection.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["1004"].navigationCallback = connectionSetupNavCallback;


//mprjk: leaving this dead nav in, just in case we want to put something similar in at the last minute..
System.GUI.Screens["1006"]		= new Screen_Hash("1006", 	"fe/nhl/html/xsell.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/franchise_preview.jpg",						false);

System.GUI.Screens["1007"]		= new Screen_Hash("1007", 	"fe/nhl/html/credits.html", 	"Credits.swf",		"nhlNavArray",	"", "",						false);

System.GUI.Screens["111"]		= new Screen_Hash("111", 	"fe/nhl/html/custom_team_select.html", 	"Manage_CustomTeams.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["111"].navigationCallback = function()
{
	oGameFace.LeagueServerInterface.LoadLeagueInternal(0,"");
	System.Session.setPostGameLeague( "", 0 );
	System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );
	return true;
}
System.GUI.Screens["113"]		= new Screen_Hash("113", 	"fe/nhl/html/custom_teams.html", 	"Team_Information.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);

System.GUI.Screens["112"]		= new Screen_Hash("112", 	"fe/nhl/html/view_highlights.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/view_highlights.jpg",						false);
System.GUI.Screens["112"].navigationCallback = function()
{
	oGameFace.LeagueServerInterface.LoadLeagueInternal(0,"");
	System.Session.setPostGameLeague( "", 0 );
	System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );
	return true;
}


// 1100 - 1149 Game Setup Menus

System.GUI.Screens["1100"]		= new Screen_Hash("1100", 	"fe/nhl/html/game_setup.html", 	"Game_Setup.swf",		"nhlNavArray",	"GameSetupSchedule", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1101"]		= new Screen_Hash("1101", 	"fe/nhl/html/team_options.html", 	"Starting_Lineup.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1102"]		= new Screen_Hash("1102", 	"fe/nhl/html/controller_config.html", 	"Controller_Config.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1103"]		= new Screen_Hash("1103", 	"fe/nhl/html/controller_config1.html", 	"Controller_Config.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1104"]		= new Screen_Hash("1104", 	"fe/nhl/html/controller_config2.html", 	"Controller_Config.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1105"]		= new Screen_Hash("1105", 	"fe/nhl/html/controller_config3.html", 	"Controller_Config.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);



// 111x: CoachOptions sub-items..

function allCheckedOutNavCallback()
{
	if( !oLeagueServer.LeagueDispatch.ProviderInterface.IsInSetup()
			&& oLeagueServer.LeagueDispatch.ManagerInterface.IsOnline()
			&& oLeagueServer.LeagueDispatch.ManagerInterface.CurrentTeam == -1 )
	{
		//then we're in an online league and all the teams are checked out..
		oAudioInterface.PlayWarningSFX();
		System.GUI.dialog.innerHTML = nhlMsg("ALL_CHECKED_OUT");
		System.GUI.dialog.setSize( 400 , 120 );
		System.GUI.dialog.align = "center";
		System.GUI.dialog.addButton( "okay_button" , nhlMsg("OKAY", true) );
		System.GUI.dialog.show( true );

		return false;
	}
	else
	{
		return true;
	}
}

System.GUI.Screens["1110"]		= new Screen_Hash("1110", 	"fe/nhl/html/coaching_strategies.html", 	"Strategies.swf",		"",	"", "fe/NHL/images/background/coaching_strategies.jpg",						false);
System.GUI.Screens["1110"].navigationCallback = allCheckedOutNavCallback;

System.GUI.Screens["1111"]		= new Screen_Hash("1111", 	"fe/nhl/html/edit_lines.html", 	"Edit_Lines.swf",		"",	"", "fe/NHL/images/background/edit_lines.jpg",						false);
System.GUI.Screens["1111"].navigationCallback = allCheckedOutNavCallback;
System.GUI.Screens["1112"]		= new Screen_Hash("1112", 	"fe/nhl/html/trade_create.html", 	"Trade_Players.swf",		"",	"", "fe/NHL/images/background/trade.jpg",						false);


System.GUI.Screens["1113"]		= new Screen_Hash("1113", 	"fe/nhl/html/view_rosters.html", 	"Progress_Reports.swf",		"",	"", "fe/NHL/images/background/view_rosters.jpg",						false);
System.GUI.Screens["1114"]		= new Screen_Hash("1114", 	"fe/nhl/html/manage_rosters.html", 	"Manage_Rosters.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1115"]		= new Screen_Hash("1115", 	"fe/nhl/html/trade_create.html", 	"Trade_Players.swf",		"",	"", "fe/NHL/images/background/trade.jpg",						false);

// 112x: Options sub-items..

//System.GUI.Screens["1120"]		= new Screen_Hash("1120", 	"fe/nhl/html/game_rules.html", 	nhlMsg('CMN_GAME_RULES', true),		"",	"", "fe/NHL/images/background/options.jpg",						false);
System.GUI.Screens["1120"]		= new Screen_Hash("1120", 	"fe/nhl/html/game_rules.html", 	"Rules.swf",		"",	"", 	"fe/NHL/images2/backgrounds/background_right.jpg",							false);
System.GUI.Screens["1121"]		= new Screen_Hash("1121", 	"fe/nhl/html/display_options.html", 	"Display_Options.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1122"]		= new Screen_Hash("1122", 	"fe/nhl/html/ai_options.html", 	"AI_Options.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1123"]		= new Screen_Hash("1123", 	"fe/nhl/html/sound_options.html", 	"Sound_Options.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1124"]		= new Screen_Hash("1124", 	"fe/nhl/html/game_options.html", 	"Game_Options.swf",		"",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);

// 114x: Stats sub-items..

System.GUI.Screens["1140"]		= new Screen_Hash("1140", 	"fe/nhl/html/player_stats.html", 	"Player_Stats.swf",		"",	"", "fe/NHL/images/background/player_stats.jpg",						false);
System.GUI.Screens["1141"]		= new Screen_Hash("1141", 	"fe/nhl/html/team_stats.html", 	"Team_Stats.swf",		"",	"", "fe/NHL/images/background/player_stats.jpg",						false);


// 1200 - 1249 League Central Menus
System.GUI.Screens["1200"]		= new Screen_Hash("1200", 	"fe/nhl/html/franchise_central.html", 	"Season_Central.swf",		"nhlNavArray",	"FranchiseCentral", "fe/NHL/images/background/franchise_central.jpg",						false);

// 121x: LeagueNews sub-items..

System.GUI.Screens["1210"]		= new Screen_Hash("1210", 	"fe/nhl/html/team_streaks.html", 	"none",		"",	"", "fe/NHL/images/background/streaks.jpg",						false);
System.GUI.Screens["1211"]		= new Screen_Hash("1211", 	"fe/nhl/html/team_standings.html", 	"League_Standings.swf",		"",	"", "" ,						false);
System.GUI.Screens["1212"]		= new Screen_Hash("1212", 	"fe/nhl/html/team_trades.html", 	"none",		"",	"", "fe/NHL/images/background/trade_history.jpg",						false);
System.GUI.Screens["1213"]		= new Screen_Hash("1213", 	"fe/nhl/html/league_calendar.html", 	"none",		"",	"", "fe/NHL/images/background/calendar.jpg",						false);
System.GUI.Screens["1214"]		= new Screen_Hash("1214", 	"fe/nhl/html/playoff_tree.html", 	"Playoff_Tree.swf",		"",	"", "fe/NHL/images/background/playoff_tree.jpg",						false);
System.GUI.Screens["1215"]		= new Screen_Hash("1215", 	"fe/nhl/html/awards.html", 	"Awards.swf",		"",	"", "fe/NHL/images/background/awards.jpg",						false);
System.GUI.Screens["1216"]		= new Screen_Hash("1216", 	"fe/nhl/html/intl_tree.html", 	"International_TournamentTree.swf",		"",	"", "fe/NHL/images/background/intl_tree.jpg",						false);
System.GUI.Screens["1217"]		= new Screen_Hash("1217", 	"fe/nhl/html/elite_tree.html", 	"Playoff_Tree.swf",		"",	"", "fe/NHL/images/background/intl_tree.jpg",						false);


// 122x: Commissioner sub-items..

System.GUI.Screens["1220"]		= new Screen_Hash("1220", 	"fe/nhl/html/franchise_league_setup.html", 	"none",	"",	"", "fe/NHL/images/background/franchise_setup.jpg",						false);
System.GUI.Screens["1221"]		= new Screen_Hash("1221", 	"fe/nhl/html/sim_date.html", 	"Simulate_ToDate.swf",		"",	"", "fe/NHL/images/background/sim_to_date.jpg",						false);
System.GUI.Screens["1222"]		= new Screen_Hash("1222", 	"fe/nhl/html/user_control.html", 	"User_Control.swf",		"",	"", "fe/NHL/images/background/trade_history.jpg",						false);

System.GUI.Screens["1224"]		= new Screen_Hash("1224", 	"fe/nhl/html/online_connection.html", 	"Online_DirectConnectSetup.swf",		"nhlNavArray",	"JoinCreate", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["1224"].navigationCallback = function()
{
	if (oComm.IsCommAvailable())
	{
		// wait for a connection (commish)
		// we need to go to a connection selection and commish create screen
		if (oLeagueServer.LeagueDispatch.ManagerInterface.IsInCentral())
		{
			oLeagueServer.LeagueDispatch.ManagerInterface.ExitCentral();
		}

		System.ScratchPad.nhlOnlineConnectionType = "commishLaunch";

		return true;
	}

	return false;
}


System.GUI.Screens["1225"]		= new Screen_Hash("1225", 	"fe/nhl/html/online_connection.html", 	"none",		"nhlNavArray",	"JoinCreate", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["1225"].navigationCallback = function()
{
	if (oComm.IsCommAvailable())
	{
		// update the league (slave)
		// we need to go to a connection selection and commish join screen
		if (oLeagueServer.LeagueDispatch.ManagerInterface.IsInCentral())
		{
			oLeagueServer.LeagueDispatch.ManagerInterface.ExitCentral();
		}


		System.ScratchPad.nhlOnlineConnectionType = "slaveJoin";
		System.ScratchPad.nhlJoinType = 2;	//CHT_UPDATE

		return true;
	}

	return false;
}

System.GUI.Screens["1290"]		= new Screen_Hash("1290", 	"fe/nhl/html/franchise_central.html", 	"Season_Central.swf",		"nhlNavArray",	"CommishFranchiseCentral", "fe/NHL/images/background/franchise_central.jpg",						false);
System.GUI.Screens["1291"]		= new Screen_Hash("1291", 	"fe/nhl/html/franchise_central.html", 	"Season_Central.swf",		"nhlNavArray",	"SlaveFranchiseCentral", "fe/NHL/images/background/franchise_central.jpg",						false);

// 13xx: International sub-items..

System.GUI.Screens["1300"]		= new Screen_Hash("1300", 	"fe/nhl/html/franchise_central.html", 	"International_Central.swf",		"nhlNavArray",	"InternationalCentral", "fe/NHL/images/background/franchise_central.jpg",						false);
System.GUI.Screens["1301"]		= new Screen_Hash("1301", 	"fe/nhl/html/franchise_central.html", 	"International_Central.swf",		"nhlNavArray",	"EliteCentral", "fe/NHL/images/background/franchise_central.jpg",						false);
System.GUI.Screens["1320"]		= new Screen_Hash("1320", 	"fe/nhl/html/intl_league_setup.html", 	"none",		"",	"", "fe/NHL/images/background/franchise_setup.jpg",						false);

System.GUI.Screens["1390"]		= new Screen_Hash("1390", 	"fe/nhl/html/franchise_central.html", 	"none",		"nhlNavArray",	"CommishIntlCentral", "fe/NHL/images/background/franchise_central.jpg",						false);
System.GUI.Screens["1391"]		= new Screen_Hash("1391", 	"fe/nhl/html/franchise_central.html", 	"none",		"nhlNavArray",	"SlaveIntlCentral", "fe/NHL/images/background/franchise_central.jpg",						false);

// 14xx: playoff sub-items..
System.GUI.Screens["1400"]		= new Screen_Hash("1400", 	"fe/nhl/html/franchise_central.html", 	"Playoff_Central.swf",		"nhlNavArray",	"PlayoffCentral", "fe/NHL/images/background/franchise_central.jpg",						false);

System.GUI.Screens["1490"]		= new Screen_Hash("1490", 	"fe/nhl/html/franchise_central.html", 	"Playoff_Central.swf",		"nhlNavArray",	"CommishPlayoffCentral", "fe/NHL/images/background/franchise_central.jpg",						false);
System.GUI.Screens["1491"]		= new Screen_Hash("1491", 	"fe/nhl/html/franchise_central.html", 	"Playoff_Central.swf",		"nhlNavArray",	"SlavePlayoffCentral", "fe/NHL/images/background/franchise_central.jpg",						false);

//////////////////////////////////////////////////////////////////

//mprjk: FIX - these Screens should be group more logically (ie: numerically) with those above..
//mprjk: direct calls range is 1850-1899:

//GameSetupMatchup
System.GUI.Screens["1849"]		= new Screen_Hash("1849", 	"fe/nhl/html/game_setup.html", 	"Online_GameSetup.swf",	"nhlNavArray",	"GameSetupMatchup", "",	false);

System.GUI.Screens["1850"]		= new Screen_Hash("1850", 	"fe/nhl/html/game_setup.html", 	"Online_GameSetup.swf",		"nhlNavArray",	"GameSetupOnline", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1851"]		= new Screen_Hash("1851", 	"fe/nhl/html/franchise_team_setup.html", 	"Season_SelectTeams.swf",		"nhlNavArray",	"", "fe/NHL/images/background/franchise_team_select.jpg",						false);
System.GUI.Screens["1852"]		= new Screen_Hash("1852", 	"fe/nhl/html/intl_team_setup.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/franchise_team_select.jpg",						false);
System.GUI.Screens["1853"]		= new Screen_Hash("1853", 	"fe/nhl/html/commissioner.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/commissioner_server_status.jpg",						false);
System.GUI.Screens["1854"]		= new Screen_Hash("1854", 	"fe/nhl/html/slave.html", 	"none",		"nhlNavArray",	"", "fe/NHL/images/background/commissioner_team_checkout.jpg",						false);
System.GUI.Screens["1855"]		= new Screen_Hash("1855", 	"fe/nhl/html/playoff_team_setup.html", 	"Playoff_SelectTeams.swf",		"nhlNavArray",	"", "fe/NHL/images/background/playoff_team_select.jpg",						false);
System.GUI.Screens["1859"]		= new Screen_Hash("1859", 	"fe/nhl/html/free_agents.html", 	"Free_Agents.swf",		"nhlNavArray",	"", "fe/NHL/images/background/free_agent.jpg"/*bkg*/,						false);
System.GUI.Screens["1860"]		= new Screen_Hash("1860", 	"fe/nhl/html/draft_round.html", 	"Draft_Order.swf",		"nhlNavArray",	"", "fe/NHL/images/background/fantasy_draft.jpg"/*bkg*/,						false);

System.GUI.Screens["1861"]		= new Screen_Hash("1861", 	"fe/nhl/html/franchise_rule_setup.html", 	"Season_RulesSetup.swf",		"nhlNavArray",	"", "fe/NHL/images/background/franchise_setup.jpg",						false);
System.GUI.Screens["1862"]		= new Screen_Hash("1862", 	"fe/nhl/html/playoff_rule_setup.html", 		"Playoff_RulesSetup.swf",		"nhlNavArray",	"", "fe/NHL/images/background/franchise_setup.jpg",						false);
System.GUI.Screens["1863"]		= new Screen_Hash("1863", 	"fe/nhl/html/intl_rule_setup.html", 		"none",								"nhlNavArray",	"", "fe/NHL/images/background/franchise_setup.jpg",						false);
System.GUI.Screens["1864"]		= new Screen_Hash("1864", 	"fe/nhl/html/dynasty_rule_setup.html", 		"Dynasty_RulesSetup.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1865"]		= new Screen_Hash("1865", 	"fe/nhl/html/dynasty_gm_select.html", 		"Select_GM.swf",				"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1866"]		= new Screen_Hash("1866", 	"fe/nhl/html/dynasty_team_select.html", 	"Dynasty_SelectTeam.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1867"]		= new Screen_Hash("1867", 	"fe/nhl/html/dynasty_central.html", 		"Dynasty_Central.swf",			"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",						false);
System.GUI.Screens["1890"]		= new Screen_Hash("1890", 	"fe/nhl/html/dynasty_team_select2.html", 	"Upgrades.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",						false);


System.GUI.Screens["1900"]		= new Screen_Hash("1900", 	"fe/nhl/html/gm_office.html", 			"GM_Office.swf",			"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1901"]		= new Screen_Hash("1901", 	"fe/nhl/html/gm_rankings.html", 		"GM_Rankings.swf",		"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1902"]		= new Screen_Hash("1902", 	"fe/nhl/html/gm_upgrades.html", 		"Upgrades.swf",		"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1903"]		= new Screen_Hash("1903", 	"fe/nhl/html/gm_finances.html", 		"Finances.swf",		"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1904"]		= new Screen_Hash("1904", 	"fe/nhl/html/gm_player_progress.html", 	"Progress_Reports.swf",	"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1905"]		= new Screen_Hash("1905", 	"fe/nhl/html/trade_create.html", 	"Trade_Players.swf",	"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1906"]		= new Screen_Hash("1906", 	"fe/nhl/html/gm_free_agents.html", 		"Free_Agents.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1907"]		= new Screen_Hash("1907", 	"fe/nhl/html/gm_contracts.html", 		"Contracts.swf",		"nhlNavArray",	"DynastyCentral", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1908"]		= new Screen_Hash("1908", 	"fe/nhl/html/team_reports.html", 		"Team_Reports.swf",		"nhlNavArray",	"DynastyCentral", "",	false);
System.GUI.Screens["1909"]		= new Screen_Hash("1909", 	"fe/nhl/html/box_scores.html", 		"Box_Scores.swf",		"nhlNavArray",	"", "fe/NHL/images2/backgrounds/background_right.jpg",	false);
System.GUI.Screens["1910"]		= new Screen_Hash("1910", 	"fe/nhl/html/trophy_room.html", 		"Trophy_Room.swf",		"nhlNavArray",	"", "",	false);

System.GUI.Screens["1868"]		= new Screen_Hash("1868", 	"fe/nhl/html/online_connection.html", 	"none",		"nhlNavArray",	"JoinCreate", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["1868"].navigationCallback = function()
{
	if (oComm.IsCommAvailable())
	{
		System.ScratchPad.nhlOnlineConnectionType = "slaveJoin";
		System.ScratchPad.nhlJoinType = 1;	//CHT_JOIN

		return true;
	}
 	else
	{
		return false;
	}
}

System.GUI.Screens["1869"]		= new Screen_Hash("1869",	"fe/nhl/html/online_connection.html", 	"none",		"nhlNavArray",	"JoinCreate", "fe/NHL/images/background/connection_setup.jpg"/*bkg*/,						false);
System.GUI.Screens["1869"].navigationCallback = function()
{
	if (oComm.IsCommAvailable())
	{
		System.ScratchPad.nhlOnlineConnectionType = "leagueGame";

		return true;
	}
 	else
	{
		return false;
	}
}

System.GUI.Screens["1870"]		= new Screen_Hash("1870", 	"fe/nhl/html/fantasy_draft_team_setup.html", 	"Draft_Order.swf",		"nhlNavArray",	"", "fe/NHL/images/background/fantasy_draft_position.jpg",						false);
System.GUI.Screens["1871"]		= new Screen_Hash("1871", 	"fe/nhl/html/fantasy_draft_round.html", 	"Fantasy_Draft.swf",		"nhlNavArray",	"", "fe/NHL/images/background/fantasy_draft.jpg",						false);

System.GUI.Screens["1880"]		= new Screen_Hash("1880", "fe/nhl/html/rookie_draft.html", "Draft_Day.swf", "", "", "fe/NHL/images/background/rookie_draft_position.jpg", false);


System.GUI.Screens["886"]		= new Screen_Hash("886", 	"fe/nhl/html/create_player_select.html", 	"Manage_Players.swf",		"",	"", "",						false);
System.GUI.Screens["886"].navigationCallback = function()
{	
	oGameFace.LeagueServerInterface.LoadLeagueInternal(0,"");
	System.Session.setPostGameLeague( "", 0 );
	System.Session.setPostGameNavigation( "1", nhlMsg("MAIN_MENU") );

	return true;
}

System.GUI.Screens["8887"]		= new Screen_Hash("8887", 	"fe/nhl/html/create_player.html", 	"Add_Players.swf",		"",	"", "",						false);
System.GUI.Screens["8888"]		= new Screen_Hash("8888", "fe/nhl/html/import_created_players.html", "none", "", "", "fe/NHL/images/background/create_player_manage.jpg", false);
System.GUI.Screens["8889"]		= new Screen_Hash("8889", "fe/nhl/html/manage_created_players.html", "none", "", "", "fe/NHL/images/background/create_player_manage.jpg", false);
System.GUI.Screens["8890"]		= new Screen_Hash("8890", 	"fe/nhl/html/create_player.html", 	"none",		"",	"", "",						false);

System.GUI.Screens["891"]		= new Screen_Hash("891", 	"fe/nhl/html/international_menu.html", 	"International_MainMenu.swf",		"",	"", "fe/NHL/images2/backgrounds/" + System.GUI.getTeamSkin() + "/main_menu_background_right.jpg",						false);
System.GUI.Screens["891"].navigationCallback = function()
{
	//leagueSelectNavCallback;
	//top.document.frames["Editorial_Frame"].location.href = System.getInstallFolder() + "fe/nhl/html/international_menu.html";
	return true;
}

System.GUI.Screens["8892"]		= new Screen_Hash("8892", 	"fe/nhl/html/scouting_reports.html", 	"Scouting_Reports.swf",		"",	"", "",						false);
System.GUI.Screens["8893"]		= new Screen_Hash("8893", 	"fe/nhl/html/draft_order.html", 		"Draft_Order.swf",		"",	"", "",						false);


System.GUI.Screens["1892"]		= new Screen_Hash("1892", 	"fe/nhl/html/matchup_create.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["1893"]		= new Screen_Hash("1893", 	"fe/nhl/html/matchup_join.html", 		"none",	"",	"", "",	false);
//mprjk: this has to be < 1000 in order to trigger a call to RestoreGameState!
System.GUI.Screens["894"]		= new Screen_Hash("894", 	"fe/nhl/html/return_easo.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["1896"]		= new Screen_Hash("1896", 	"fe/nhl/html/return_easo.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["1896"].navigationCallback = function()
{
	oGameFace.CommInterface.ReportNoStart();
	oGameFace.CommInterface.PurgeGameReporter();	
   	setTimeout(function() { System.GUI.navigate("894"); }, 110);
}
System.GUI.Screens["1897"]		= new Screen_Hash("1897", 	"fe/nhl/html/return_easo.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["1897"].navigationCallback = function()
{
	function exitConfirmed()
	{
		oGameFace.CommInterface.ReportNoStart();
		oGameFace.CommInterface.PurgeGameReporter();	
   		setTimeout(function() { System.GUI.navigate("894"); }, 110);
   		//setTimeout(function() { System.GUI.navigate("1898"); }, 110);
   	}

	oAudioInterface.PlayWarningSFX();
	System.GUI.dialog.innerHTML = nhlMsg("EASO_EXIT_CONFIRMATION");
	System.GUI.dialog.setSize( 500, 200 );
	System.GUI.dialog.align = "center";
	System.GUI.dialog.addButton( "okay_button" , nhlMsg("OKAY", true), function(){ exitConfirmed(); } );
	System.GUI.dialog.addButton( "cancel_button" , nhlMsg("CANCEL", true), function(){  System.GUI.nowBtns.showPlay(); return false; } );
	System.GUI.dialog.show( true );

}

System.GUI.Screens["1898"]		= new Screen_Hash("1898", 	"fe/nhl/html/return_easo.html", 		"none",	"",	"", "",	false);

System.GUI.Screens["1899"]		= new Screen_Hash("1899", 	"fe/nhl/html/return_easo.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["1899"].navigationCallback = function()
{
	setTimeout(function() { System.GUI.navigate("894"); }, 110);
}

System.GUI.Screens["1895"]		= new Screen_Hash("1895", 	"fe/nhl/html/email_system.html", 		"none",	"",	"", "",	false);
System.GUI.Screens["9999"]		= new Screen_Hash("9999", 	"fe/nhl/html/under_construction.html", 	"none",	"",	"", "",	false);

